View Issue Details

IDProjectCategoryLast Update
0019479AI War 2[All Projects] Balance IssueMar 14, 2018 5:38 pm
ReporterBadgerBadgerAssigned Tokeith.lamothe 
Severityminor 
Status closedResolutionfixed 
Product Version0.711 
Fixed in Version0.712 
Summary0019479: Golems are really too strong for early access
DescriptionSo the first 3 planets I took were hard to capture. I was mostly using a fleet of about 2-4K strength. As soon as I got the Botnet Golem my fleet strength is now 103K (and the Botnet is 100K of that). I think right now that's _way_ too strong by comparison to everything else.

Obvious possibilities: Nerf the golems
                                      Make sure players don't get Golems too early
TagsNo tags attached.

Activities

elcommendante

Mar 12, 2018 9:52 pm

reporter   ~0047132

Agreed. A botnet golem in particular, with 10mm health (compared to the other golems with 1mm health) is just too strong.

BadgerBadger

Mar 12, 2018 11:41 pm

manager   ~0047133

Option 1: Just remove Botnet golem from the golems that can be seeded near a player.

Option 2: Don't seed a golem near the human player at all. I kinda prefer this one, to be honest. Golems are just too OP early.

If either of those options are preferred, let me know and I can tackle that. It's also worth asking whether we want to seed stuff so close to the human player anyway.... This was done as a kinda hacky "Lets give the player some easy targets" thing early on in alpha, but now that the game is a bit more mature, do we still want to do that? I do think that perhaps a Flagship should be accessible early, but I'm not convinced about an ARS or a golem.

Dune

Mar 13, 2018 11:09 am

administrator   ~0047140

Created Trello card.

elcommendante

Mar 13, 2018 11:48 am

reporter   ~0047148

One option would be for the seeding to scale with difficulty. E.g. if I am playing on a difficulty 5, then maybe it's ok to seed the Botnet golem 2-3 jumps away, then add an extra jump for each one or two levels of difficulty increase.

BadgerBadger

Mar 14, 2018 5:38 pm

manager   ~0047180

Golems are only seeded near a player on AI difficulties 1 and 2. On higher difficulty games a Fabricator is seeded instead.

Issue History

Date Modified Username Field Change
Mar 12, 2018 9:26 pm BadgerBadger New Issue
Mar 12, 2018 9:52 pm elcommendante Note Added: 0047132
Mar 12, 2018 11:41 pm BadgerBadger Note Added: 0047133
Mar 13, 2018 11:09 am Dune Assigned To => keith.lamothe
Mar 13, 2018 11:09 am Dune Status new => assigned
Mar 13, 2018 11:09 am Dune Note Added: 0047140
Mar 13, 2018 11:48 am elcommendante Note Added: 0047148
Mar 14, 2018 5:38 pm BadgerBadger Status assigned => closed
Mar 14, 2018 5:38 pm BadgerBadger Resolution open => fixed
Mar 14, 2018 5:38 pm BadgerBadger Fixed in Version => 0.712
Mar 14, 2018 5:38 pm BadgerBadger Note Added: 0047180